import { DestroyRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { ParsedPlaceObject } from './locatieserver.model';
import * as i0 from "@angular/core";
export declare class GeocoderHistoryService {
    private platformId;
    MAX_HISTORY_ENTRIES: number;
    HISTORY_LOCALSTORAGE_KEY: string;
    history$: BehaviorSubject<ParsedPlaceObject[]>;
    destroyRef: DestroyRef;
    saveToLocalStorage: import("rxjs").Subscription;
    constructor(platformId: any);
    getHistory(): ParsedPlaceObject[];
    updateHistory(lookupObject: ParsedPlaceObject): void;
    saveHistory(history: ParsedPlaceObject[]): void;
    retrieveHistory(): any;
    private isLocalStorageAvailable;
    static ɵfac: i0.ɵɵFactoryDeclaration<GeocoderHistoryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GeocoderHistoryService>;
}
